#include "StringSemanticHandler.h"

StringSemanticHandler::StringSemanticHandler(const std::string& inName, std::string* inValue)
	: BaseSemanticHandler(inName)
	, Value(inValue)
{
}


StringSemanticHandler::~StringSemanticHandler()
{
}

void StringSemanticHandler::OnHandle(IShader* inShader, IShaderParameter* inParameter)
{
	inParameter->set_String(*Value);
}